繁体   English   中英

我如何获得旧的matplotlib版本1.5.1接口?

How can I get old matplotlib version 1.5.1 interface?

提示:本站收集StackOverFlow近2千万问答,支持中英文搜索,鼠标放在语句上弹窗显示对应的参考中文或英文, 本站还提供   中文繁体   英文版本   中英对照 版本,有任何建议请联系yoyou2525@163.com。

我最近从matplotlib 1.5.1更新为2.2.3

$ pip install -U matplotlib

当显示带有

>>> plt.show()

在从1.5.1到2.2.3运行更新之前,我可以看到显示的图形,如所附图片“更新之前的输出”所示。 因为在显示图时我不喜欢2.2.3版的新界面,所以我使用

$ pip install matplotlib==1.5.1

但是,当我使用旧的matplotlib版本显示图时,我仍然看到一个不同的界面(如您在图像“更新后输出并返回到旧版本”中所见),即使我返回了旧版本的matplotlib,曾经用来生成“更新前的输出”。

您可以在输入命令行时检查“接口”的含义:

$ python
>>> import matplotlib.pyplot as plt
>>> plt.plot()
>>> plt.show()

您将看到“接口”(在我的情况下为IPython)和一个空白图。

我的问题是:如何使用旧的输出窗口再次显示图(“更新前输出”,见下文)? 为什么不返回1.5.1版也将旧的输出窗口也带回来?

附件中,您找到了我想找回的旧输出接口与使用相同matplotlib版本的新输出之间的比较(显示的数据略有不同,但均以默认样式绘制,仅手动设置了颜色和标记)。 新的输出模糊且浓密,并且数据点与旧版本相比非常大,而我发现旧版本的美观度要低得多。

更新后输出并返回到旧版本

更新前输出

“模糊”输出窗口的图片

问题暂未有回复.您可以查看右边的相关问题.
1 我如何获得旧版本的Meteor?

我使用Meteor v0.4.2在我自己的服务器上部署了我的应用程序(我不确定这是确切的版本号,但它是最新的-0.5.0之前的版本)。 然后,我犯了一个错误,即在本地升级到Meteor 0.5.2,现在不知道如何重新获得0.4.2才能部署到服务器。 我尝试使用0.5.2版进行部署,但 ...

2 如何找到旧版本的节点?

我已经通过n安装了新版本的node,但是运行的版本仍然是旧版本。 我不知道旧版本的安装位置,该如何找到并卸载? ...

3 如何安装旧的 PyQT 版本(版本 4)

我正在尝试使用 ttps://bitbucket.org/jpcgt/flatcam 上的存储库,它需要 PyQT4 和 Python3。 不幸的是,尝试安装 pyqt4 不起作用,因为我的 anaconda 发行版不包含任何 pre-5 版本: 显然可以在某个时候安装它,并且仍然应该支持尚未 ...

4 有没有办法可以获得PHP 1.0,CGI旧版本?

我似乎无法找到PHP 1.0,正如维基百科所述,它只是一堆CGI函数来处理常见的Web相关事物。 有没有办法可以下载它或看看怎么做? 为什么PHP没有提到它? ...

2012-10-21 03:39:49 1 288   php/ cgi
5 如何从Apple获得正版iOS映像的旧版本?

有什么办法可以从Apple获得旧版本的iOS映像吗? 测试应用程序所需的图像。 但是据我所知,没有办法做到这一点。 当然,互联网上有一些浮动文件,我无法相信。 因为任何修改后的图像都无法用于测试目的。 ...

2010-06-29 01:41:55 2 2687   image/ ios
10 如何获得旧版浏览器?(用于测试)

如何获得特定的旧浏览器:Firefox 2.0,Internet Explorer 6,Netscape 9.0.0.6和Opera 3 我拥有Windows 7操作系统,并且希望旧的浏览器能够与Windows 7一起使用。 我希望旧的浏览器测试代码。 像CSS,JavaScrip ...

暂无
暂无

声明:本站的技术帖子网页,遵循CC BY-SA 4.0协议,如果您需要转载,请注明本站网址或者原文地址。任何问题请咨询:yoyou2525@163.com.

 
粤ICP备18138465号  © 2020-2022 STACKOOM.COM